For the complete documentation index, see llms.txt. This page is also available as Markdown.

Users

Get your own BadgeUser profile

get
Required scopes
This endpoint requires the following scopes:
  • : See who you are
  • : Update your profile
Authorizations
OAuth2authorizationCodeRequired

OAuth2 authorizationCode flow is currently not functional on the Swagger UI.

Authorization URL: Token URL:
Responses
200

OK

application/json
errorCodestring · nullableOptional
latestTermsVersioninteger · int32 · nullableOptional
nonFieldErrorsstring[]Required
timestampstring · date-time · nullableOptional
validationErrorsstring[]Required
get/v2/users/self
GET /v2/users/self HTTP/1.1
Host: api.badges.parchment.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "errorCode": "text",
  "fieldErrors": {
    "ANY_ADDITIONAL_PROPERTY": [
      "text"
    ]
  },
  "latestTermsVersion": 1,
  "nonFieldErrors": [
    "text"
  ],
  "result": [
    {
      "agreedTermsVersion": 4,
      "badgrDomain": "badgrsupportgroup.badgr.com",
      "emails": [
        {
          "caseVariants": [
            "text"
          ],
          "email": "Jane.Doe@example.com",
          "primary": true,
          "verified": true
        }
      ],
      "entityId": "Hey7J-GRSJeu6FNnHQwNyw",
      "entityType": "BadgeUser",
      "firstName": "Jane",
      "hasAgreedToLatestTermsVersion": true,
      "hasPasswordSet": true,
      "id": "5f16c84d1ff787222b6c4d15",
      "informalName": "Jane Doe",
      "lastName": "Doe",
      "marketingOptIn": true,
      "preferredLanguage": "en",
      "recipient": {
        "identity": "jane.doe@example.com",
        "type": "email"
      },
      "telephone": [
        "text"
      ],
      "url": [
        "https://example.com"
      ]
    }
  ],
  "status": {
    "description": "ok",
    "success": true
  },
  "timestamp": "2026-01-01T00:00:00.000Z",
  "validationErrors": [
    "text"
  ],
  "warnings": {
    "ANY_ADDITIONAL_PROPERTY": [
      "text"
    ]
  }
}

Update your own BadgeUser

patch
Required scopes
This endpoint requires the following scopes:
  • : See who you are
  • : Update your profile
Authorizations
OAuth2authorizationCodeRequired

OAuth2 authorizationCode flow is currently not functional on the Swagger UI.

Authorization URL: Token URL:
Body
firstNamestringOptionalExample: Jane
lastNamestringOptionalExample: Doe
marketingOptInbooleanOptionalExample: true
Responses
200

OK

application/json
errorCodestring · nullableOptional
latestTermsVersioninteger · int32 · nullableOptional
nonFieldErrorsstring[]Required
timestampstring · date-time · nullableOptional
validationErrorsstring[]Required
patch/v2/users/self
PATCH /v2/users/self HTTP/1.1
Host: api.badges.parchment.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 59

{
  "firstName": "Jane",
  "lastName": "Doe",
  "marketingOptIn": true
}
{
  "errorCode": "text",
  "fieldErrors": {
    "ANY_ADDITIONAL_PROPERTY": [
      "text"
    ]
  },
  "latestTermsVersion": 1,
  "nonFieldErrors": [
    "text"
  ],
  "result": [
    {
      "agreedTermsVersion": 4,
      "badgrDomain": "badgrsupportgroup.badgr.com",
      "emails": [
        {
          "caseVariants": [
            "text"
          ],
          "email": "Jane.Doe@example.com",
          "primary": true,
          "verified": true
        }
      ],
      "entityId": "Hey7J-GRSJeu6FNnHQwNyw",
      "entityType": "BadgeUser",
      "firstName": "Jane",
      "hasAgreedToLatestTermsVersion": true,
      "hasPasswordSet": true,
      "id": "5f16c84d1ff787222b6c4d15",
      "informalName": "Jane Doe",
      "lastName": "Doe",
      "marketingOptIn": true,
      "preferredLanguage": "en",
      "recipient": {
        "identity": "jane.doe@example.com",
        "type": "email"
      },
      "telephone": [
        "text"
      ],
      "url": [
        "https://example.com"
      ]
    }
  ],
  "status": {
    "description": "ok",
    "success": true
  },
  "timestamp": "2026-01-01T00:00:00.000Z",
  "validationErrors": [
    "text"
  ],
  "warnings": {
    "ANY_ADDITIONAL_PROPERTY": [
      "text"
    ]
  }
}

Update your own BadgeUser

put
Required scopes
This endpoint requires the following scopes:
  • : See who you are
  • : Update your profile
Authorizations
OAuth2authorizationCodeRequired

OAuth2 authorizationCode flow is currently not functional on the Swagger UI.

Authorization URL: Token URL:
Body
firstNamestringOptionalExample: Jane
lastNamestringOptionalExample: Doe
marketingOptInbooleanOptionalExample: true
Responses
200

OK

application/json
errorCodestring · nullableOptional
latestTermsVersioninteger · int32 · nullableOptional
nonFieldErrorsstring[]Required
timestampstring · date-time · nullableOptional
validationErrorsstring[]Required
put/v2/users/self
PUT /v2/users/self HTTP/1.1
Host: api.badges.parchment.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 59

{
  "firstName": "Jane",
  "lastName": "Doe",
  "marketingOptIn": true
}
{
  "errorCode": "text",
  "fieldErrors": {
    "ANY_ADDITIONAL_PROPERTY": [
      "text"
    ]
  },
  "latestTermsVersion": 1,
  "nonFieldErrors": [
    "text"
  ],
  "result": [
    {
      "agreedTermsVersion": 4,
      "badgrDomain": "badgrsupportgroup.badgr.com",
      "emails": [
        {
          "caseVariants": [
            "text"
          ],
          "email": "Jane.Doe@example.com",
          "primary": true,
          "verified": true
        }
      ],
      "entityId": "Hey7J-GRSJeu6FNnHQwNyw",
      "entityType": "BadgeUser",
      "firstName": "Jane",
      "hasAgreedToLatestTermsVersion": true,
      "hasPasswordSet": true,
      "id": "5f16c84d1ff787222b6c4d15",
      "informalName": "Jane Doe",
      "lastName": "Doe",
      "marketingOptIn": true,
      "preferredLanguage": "en",
      "recipient": {
        "identity": "jane.doe@example.com",
        "type": "email"
      },
      "telephone": [
        "text"
      ],
      "url": [
        "https://example.com"
      ]
    }
  ],
  "status": {
    "description": "ok",
    "success": true
  },
  "timestamp": "2026-01-01T00:00:00.000Z",
  "validationErrors": [
    "text"
  ],
  "warnings": {
    "ANY_ADDITIONAL_PROPERTY": [
      "text"
    ]
  }
}

Get a single BadgeUser profile

get
Required scopes
This endpoint requires the following scopes:
  • : See who you are
  • : Update your profile
Authorizations
OAuth2authorizationCodeRequired

OAuth2 authorizationCode flow is currently not functional on the Swagger UI.

Authorization URL: Token URL:
Path parameters
idOrEntityIdstringRequired
Responses
200

OK

application/json
errorCodestring · nullableOptional
latestTermsVersioninteger · int32 · nullableOptional
nonFieldErrorsstring[]Required
timestampstring · date-time · nullableOptional
validationErrorsstring[]Required
get/v2/users/{idOrEntityId}
GET /v2/users/{idOrEntityId} HTTP/1.1
Host: api.badges.parchment.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "errorCode": "text",
  "fieldErrors": {
    "ANY_ADDITIONAL_PROPERTY": [
      "text"
    ]
  },
  "latestTermsVersion": 1,
  "nonFieldErrors": [
    "text"
  ],
  "result": [
    {
      "agreedTermsVersion": 4,
      "badgrDomain": "badgrsupportgroup.badgr.com",
      "emails": [
        {
          "caseVariants": [
            "text"
          ],
          "email": "Jane.Doe@example.com",
          "primary": true,
          "verified": true
        }
      ],
      "entityId": "Hey7J-GRSJeu6FNnHQwNyw",
      "entityType": "BadgeUser",
      "firstName": "Jane",
      "hasAgreedToLatestTermsVersion": true,
      "hasPasswordSet": true,
      "id": "5f16c84d1ff787222b6c4d15",
      "informalName": "Jane Doe",
      "lastName": "Doe",
      "marketingOptIn": true,
      "preferredLanguage": "en",
      "recipient": {
        "identity": "jane.doe@example.com",
        "type": "email"
      },
      "telephone": [
        "text"
      ],
      "url": [
        "https://example.com"
      ]
    }
  ],
  "status": {
    "description": "ok",
    "success": true
  },
  "timestamp": "2026-01-01T00:00:00.000Z",
  "validationErrors": [
    "text"
  ],
  "warnings": {
    "ANY_ADDITIONAL_PROPERTY": [
      "text"
    ]
  }
}

Update a BadgeUser

patch
Required scopes
This endpoint requires the following scopes:
  • : See who you are
  • : Update your profile
Authorizations
OAuth2authorizationCodeRequired

OAuth2 authorizationCode flow is currently not functional on the Swagger UI.

Authorization URL: Token URL:
Path parameters
idOrEntityIdstringRequired
Body
firstNamestringOptionalExample: Jane
lastNamestringOptionalExample: Doe
marketingOptInbooleanOptionalExample: true
Responses
200

OK

application/json
errorCodestring · nullableOptional
latestTermsVersioninteger · int32 · nullableOptional
nonFieldErrorsstring[]Required
timestampstring · date-time · nullableOptional
validationErrorsstring[]Required
patch/v2/users/{idOrEntityId}
PATCH /v2/users/{idOrEntityId} HTTP/1.1
Host: api.badges.parchment.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 59

{
  "firstName": "Jane",
  "lastName": "Doe",
  "marketingOptIn": true
}
{
  "errorCode": "text",
  "fieldErrors": {
    "ANY_ADDITIONAL_PROPERTY": [
      "text"
    ]
  },
  "latestTermsVersion": 1,
  "nonFieldErrors": [
    "text"
  ],
  "result": [
    {
      "agreedTermsVersion": 4,
      "badgrDomain": "badgrsupportgroup.badgr.com",
      "emails": [
        {
          "caseVariants": [
            "text"
          ],
          "email": "Jane.Doe@example.com",
          "primary": true,
          "verified": true
        }
      ],
      "entityId": "Hey7J-GRSJeu6FNnHQwNyw",
      "entityType": "BadgeUser",
      "firstName": "Jane",
      "hasAgreedToLatestTermsVersion": true,
      "hasPasswordSet": true,
      "id": "5f16c84d1ff787222b6c4d15",
      "informalName": "Jane Doe",
      "lastName": "Doe",
      "marketingOptIn": true,
      "preferredLanguage": "en",
      "recipient": {
        "identity": "jane.doe@example.com",
        "type": "email"
      },
      "telephone": [
        "text"
      ],
      "url": [
        "https://example.com"
      ]
    }
  ],
  "status": {
    "description": "ok",
    "success": true
  },
  "timestamp": "2026-01-01T00:00:00.000Z",
  "validationErrors": [
    "text"
  ],
  "warnings": {
    "ANY_ADDITIONAL_PROPERTY": [
      "text"
    ]
  }
}

Update a BadgeUser

put
Required scopes
This endpoint requires the following scopes:
  • : See who you are
  • : Update your profile
Authorizations
OAuth2authorizationCodeRequired

OAuth2 authorizationCode flow is currently not functional on the Swagger UI.

Authorization URL: Token URL:
Path parameters
idOrEntityIdstringRequired
Body
firstNamestringOptionalExample: Jane
lastNamestringOptionalExample: Doe
marketingOptInbooleanOptionalExample: true
Responses
200

OK

application/json
errorCodestring · nullableOptional
latestTermsVersioninteger · int32 · nullableOptional
nonFieldErrorsstring[]Required
timestampstring · date-time · nullableOptional
validationErrorsstring[]Required
put/v2/users/{idOrEntityId}
PUT /v2/users/{idOrEntityId} HTTP/1.1
Host: api.badges.parchment.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 59

{
  "firstName": "Jane",
  "lastName": "Doe",
  "marketingOptIn": true
}
{
  "errorCode": "text",
  "fieldErrors": {
    "ANY_ADDITIONAL_PROPERTY": [
      "text"
    ]
  },
  "latestTermsVersion": 1,
  "nonFieldErrors": [
    "text"
  ],
  "result": [
    {
      "agreedTermsVersion": 4,
      "badgrDomain": "badgrsupportgroup.badgr.com",
      "emails": [
        {
          "caseVariants": [
            "text"
          ],
          "email": "Jane.Doe@example.com",
          "primary": true,
          "verified": true
        }
      ],
      "entityId": "Hey7J-GRSJeu6FNnHQwNyw",
      "entityType": "BadgeUser",
      "firstName": "Jane",
      "hasAgreedToLatestTermsVersion": true,
      "hasPasswordSet": true,
      "id": "5f16c84d1ff787222b6c4d15",
      "informalName": "Jane Doe",
      "lastName": "Doe",
      "marketingOptIn": true,
      "preferredLanguage": "en",
      "recipient": {
        "identity": "jane.doe@example.com",
        "type": "email"
      },
      "telephone": [
        "text"
      ],
      "url": [
        "https://example.com"
      ]
    }
  ],
  "status": {
    "description": "ok",
    "success": true
  },
  "timestamp": "2026-01-01T00:00:00.000Z",
  "validationErrors": [
    "text"
  ],
  "warnings": {
    "ANY_ADDITIONAL_PROPERTY": [
      "text"
    ]
  }
}

Last updated

Was this helpful?